# ----------------- TAG Funktions ---------------------------


proc process_FIRST_PHRASE args {
	global global_options

	array set params {
		VALUE     ""
	}

	array set params $args

	set val $params(VALUE)

	set charList [list [string length $val]]

	lappend charList [string first "\n" $val ]
	lappend charList [string first "\t" $val ]
	lappend charList [string first "!" $val ]
	lappend charList [string first "?" $val ]
	lappend charList [string first "." $val ]
	lappend charList [string first ";" $val ]

	set charList [lsort -integer $charList ]
	
	set pos "-1"

	trc process_FIRST_PHRASE "val : $val - $charList"

	foreach i $charList {
		if {$i > 0} { set pos $i; break}
	}

	
	return [string range $val 0 $pos]
}



# ------------------ helpers ------------------------------

proc isNumber txt {
	return [isInCharset "01234567890" $txt]
}

proc isTelefoneNumber txt {
	return [isInCharset "0123456789 .-()+" $txt] 

}


proc isInCharset { charset txt } {

	set len [string length $txt]

	for {set i 0} {$i < $len} {incr i 1} {
		set char [string index $txt $i]

		if {[string first $char $charset] < 0} {
			return false
		}
	}
	return true
}


# ------------------ main ---------------------------------

define_compound_tag "<first_phrase>value</first_phrase>"

trc_register { 
	-process_FILLEDINPUT 
	-process_HIDDENINPUT 
	-process_BACKFORM 
	-process_FIRST_PHRASE 
}













