create table person (
       person_id serial,
       name varchar(40),
       surname varchar(80),
	   age int4,
	   address_id int8,
       timestamp datetime default current_time
);

grant all on person to wwwrun;

create table address (
	   address_id serial, 
       street varchar(80),
       zip int4,
       city varchar(40),
       timestamp datetime default current_time
);

grant all on address to wwwrun;

create table course (
       course_id serial,
	   course_number int8,
       description varchar(40),	
	   teacher_id int8,
       timestamp datetime default current_time
);

grant all on course to wwwrun;

create table course_person_rel (
	   course_id int8,
	   person_id int8,
	   result int4,
       timestamp datetime default current_time
);

grant all on course_person_rel to wwwrun;

insert into address (street, zip, city) values ('Rabbithole 1',54435,'Cooperville');
insert into person (name, surname, age, address_id) values ('Alice','Cooper', 50, 1);
insert into person (name, surname, age, address_id) values ('Alice W.','Onderland', 21, 1);

insert into address (street, zip, city) values ('Mggenburg 33',21129,'Hamburg');
insert into person (name, surname, age, address_id) values ('Niclas','Meier', 26, 2);

insert into address (street, zip, city) values ('Planke 3',32139,'Auff''n Schiff 1');
insert into person (name, surname, age, address_id) values ('Kpt''n ','Blaubr', 60, 3);
insert into person (name, surname, age, address_id) values ('Hein','Bld', 40, 3);

insert into course (course_number, description, teacher_id) values (4711, 'Noise for beginners', 1);
insert into course (course_number, description, teacher_id) values (0815, 'Seemannsgarn fr Fortgeschrittene', 4);

insert into course_person_rel (course_id, person_id, result) values (1,3,1);
insert into course_person_rel (course_id, person_id, result) values (1,2,2);
insert into course_person_rel (course_id, person_id, result) values (2,5,2);




